Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Factory Class Reference

TAO_Notify_Factory. More...

`#include <Notify_Factory.h>`

Collaboration diagram for TAO_Notify_Factory:

[legend]
List of all members.

## Static Public Methods
TAO_Notify_CO_Factory * | get_channel_objects_factory (void)
| The factory for channel objects. More...
TAO_Notify_POA_Factory * | get_poa_factory (void)
| The factory for POA's. More...
TAO_Notify_Collection_Factory * | get_collection_factory (void)
| Factory for all collections in the notify service. More...
TAO_Notify_EMO_Factory * | create_event_manager_objects_factory (void)
| The event manager objects. More...
## Static Protected Methods
void | init (ACE_ENV_SINGLE_ARG_DECL)
| Initalize the services. More...
void | shutdown (void)
| shutdown the svcs. More...
## Static Protected Attributes
TAO_Notify_CO_Factory * | co_factory_ = 0
TAO_Notify_POA_Factory * | poa_factory_ = 0
TAO_Notify_Collection_Factory * | collection_factory_ = 0
TAO_Notify_EMO_Factory * | emo_factory_ = 0
## Friends
class | TAO_Notify_EventChannelFactory_i

## Detailed Description

TAO_Notify_Factory.

This classes initializes the static default factories.

## Member Function Documentation

TAO_Notify_EMO_Factory * TAO_Notify_Factory::create_event_manager_objects_factory | ( | void |  | ) | `[static]`

| The event manager objects.

TAO_Notify_CO_Factory * TAO_Notify_Factory::get_channel_objects_factory | ( | void |  | ) | `[static]`

| The factory for channel objects.

TAO_Notify_Collection_Factory * TAO_Notify_Factory::get_collection_factory | ( | void |  | ) | `[static]`

| Factory for all collections in the notify service.

TAO_Notify_POA_Factory * TAO_Notify_Factory::get_poa_factory | ( | void |  | ) | `[static]`

| The factory for POA's.

void TAO_Notify_Factory::init | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[static, protected]`

| Initalize the services.

void TAO_Notify_Factory::shutdown | ( | void |  | ) | `[static, protected]`

| shutdown the svcs.

## Friends And Related Function Documentation

friend class TAO_Notify_EventChannelFactory_i`[friend]`

## Member Data Documentation

TAO_Notify_CO_Factory * TAO_Notify_Factory::co_factory_ = 0`[static, protected]`

TAO_Notify_Collection_Factory * TAO_Notify_Factory::collection_factory_ = 0`[static, protected]`

TAO_Notify_EMO_Factory * TAO_Notify_Factory::emo_factory_ = 0`[static, protected]`

TAO_Notify_POA_Factory * TAO_Notify_Factory::poa_factory_ = 0`[static, protected]`

The documentation for this class was generated from the following files:

- Notify_Factory.h
- Notify_Factory.cpp